<?php

namespace App\Http\Controllers;

use App\Candidate;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class CandidateController extends Controller
{
    public function __construct()
    {
        //$this->middleware('auth');
    }

    public function candidateTable(){
        return DB::table('candidates')
            ->join('states', function ($join) {
                $join->on('candidates.state_id', '=', 'states.id');
            })
            ->join('parties', function ($join) {
                $join->on('candidates.party_id', '=', 'parties.id');
            })
            ->join('positions', function ($join) {
                $join->on('candidates.position_id', '=', 'positions.id');
            })
            ->join('zones', function ($join) {
                $join->on('candidates.zone_id', '=', 'zones.id');
            });
    }

    public function allFullCandidates(){
        return response()->json($this->candidateTable()->get());
    }

    public function getFullCandidate($id){
        return response()->json($this->candidateTable()->find($id));
    }

    public function allCandidates(){
        return response()->json(Candidate::all());
    }

    public function getCandidate($id){
        return response()->json(Candidate::find($id));
    }

    public function get(Request $request) {
        $candidate = Candidate::select(DB::raw('*, FLOOR(DATEDIFF(CURDATE(),dob)/365) AS age'));
        if($request->has('position'))
            $candidate->where('position_id', $request->get('position'));

        if($request->has('state')){
            $candidate->where('state_id', $request->get('state'));
        }

        if($request->has('party')){
            $candidate->where('party_id', $request->get('party'));
        }

        if($request->has('vin')){
            $candidate->whereIn('zone_id', User::where('vin', $request->get('vin'))->get());
        }

       /* if($request->get('position') < 3){
            return response()->json($candidate->first());
        }*/

        return response()->json($candidate->get());
    }

    public function getDetailforPosition($pid){

    }
}
