<?php

namespace App\Http\Controllers;

use App\Category;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class CategoryController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function categoryTable(){
        return DB::table('categories')
            ->join('groups', function ($join) {
                $join->on('categories.group_id', '=', 'groups.id');
            });
    }

    public function allFullCategories(){
        return response()->json($this->categoryTable()->get());
    }

    public function getFullCategory($id){
        return response()->json($this->categoryTable()->find($id));
    }

    public function allCategories(){
        return response()->json(Category::all());
    }

    public function getCategory($id){
        return response()->json(Category::find($id));
    }

    public function allSubCategories(){
        return response()->json(DB::table('sub_categories')->all());
    }

    public function getSubCategory($id){
        return response()->json(DB::table('sub_categories')->find($id));
    }
}
