<?php

namespace App\Http\Controllers;

use App\Election;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ElectionController extends Controller
{
    public function __construct()
    {
        //$this->middleware('auth');
    }

    public function allElections(){
        return response()->json(Election::all());
    }

    public function getElection($id){
        return response()->json(Election::find($id));
    }

    public function get(){
        return response()->json(
            Election::where('is_active', '>' , 0)
                ->whereRaw(DB::raw('TIMESTAMP(election_date) > CURRENT_TIMESTAMP'))
                ->orderBy('election_date', 'ASC')
                ->select(DB::raw('*, TIMEDIFF(TIMESTAMP(election_date), CURRENT_TIMESTAMP) AS duration'))
                ->first()
        );
    }
}
