<?php

namespace App\Http\Controllers;

use App\Feed;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class FeedController extends Controller
{
    public function __construct()
    {
        //$this->middleware('auth');
    }

    public function feedTable(){
        return DB::table('feeds')
            ->join('lgas', function ($join) {
                $join->on('feeds.lga_id', '=', 'lgas.id');
            })
            ->join('states', function ($join) {
                $join->on('feeds.state_id', '=', 'states.id');
            });
    }

    public function allFullFeeds(){
        return response()->json($this->feedTable()->get());
    }

    public function getFullFeed($id){

        return response()->json($this->feedTable()->where('feeds.id',$id)->first());
    }

    public function allFeeds(){

        return response()->json(Feed::select(DB::raw("*, DATE_FORMAT(created_at, '%h:%i %p') as time, DATE_FORMAT(created_at, '%M %e, %Y') as date"))->get());
    }

    public function getFeed($id){
        return response()->json(Feed::find($id));
    }
}
