<?php

namespace App\Http\Controllers;

use App\LGA;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class LGAController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function lgaTable(){
        return DB::table('lgas')
            ->join('states', function ($join) {
                $join->on('lgas.state_id', '=', 'states.id');
            });
    }

    public function allFullLGAs(){
        return response()->json($this->lgaTable()->get());
    }

    public function getFullLGA($id){
        return response()->json($this->lgaTable()->find($id));
    }

    public function allLGAs(){
        return response()->json(LGA::all());
    }

    public function getLGA($id){
        return response()->json(LGA::find($id));
    }
}
