<?php

namespace App\Http\Controllers;

use App\Http\Utils\utils;
use App\PVCMove;
use GuzzleHttp\Client;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class PVCMoveController extends Controller
{
    public function allPVCMoves()
    {
        return response()->json(PVCMove::all());
    }

    public function getPVCMove($id)
    {
        return response()->json(PVCMove::find($id));
    }

    public function locationPvc()
    {
        $url = "https://vaultnoir.com/api/track_pvc.php?user_id=" . $this->user;
        $client = new Client();
        try {
            $response = $client->get($url);
            $result = json_decode($response->getBody()->read(1024));
            Log::info($result);
            return utils::makeResponse([], $result->msg, true);

        } catch (\Exception $e) {
            return utils::makeResponse([], __('Failed to Move'), false);
        }
    }

    public function movePVC(Request $request)
    {
        $data = ['state_id' => $request->state, 'lga_id' => $request->lga, 'ward_id' => $request->ward, 'pu_id' => $request->pu, 'user_id' => $this->user];
        PVCMove::create($data);
        return utils::makeResponse($data,__('success'));
    }
}
