<?php

namespace App\Http\Controllers;

use App\PollingUnit;
use App\Pus;
use Illuminate\Http\Request;

class PollingUnitController extends Controller
{
    public function pollingUnitTable(){
        return DB::table('polling_units')
            ->join('states', function ($join) {
                $join->on('polling_units.state_id', '=', 'states.id');
            })
            ->join('lgas', function ($join) {
                $join->on('polling_units.lga_id', '=', 'lgas.id');
            })
            ->join('wards', function ($join) {
                $join->on('polling_units.ward_id', '=', 'wards.id');
            })
            ->join('users', function ($join) {
                $join->on('polling_units.user_id', '=', 'users.id');
            });
    }

    public function allFullPollingUnits(){
        return response()->json($this->pollingUnitTable()->get());
    }

    public function getFullPollingUnit($id){
        return response()->json($this->pollingUnitTable()->find($id));
    }

    public function allPollingUnits(){
        return response()->json(PollingUnit::all());
    }

    public function getPollingUnity($id){
        return response()->json(PollingUnit::find($id));
    }

    public function getNearPoll(Request $request){
        $data = Pus::where(['state_id'=>$request->state,'lga_id'=>$request->lga])->get();
        return response()->json($data);
    }
}
