<?php

namespace App\Http\Controllers;

use App\Report;
use Illuminate\Http\Request;

class ReportController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function reportTable(){
        return DB::table('reports')
            ->join('users', function ($join) {
                $join->on('reports.user_id', '=', 'users.id');
            });
    }

    public function allFullReports(){
        return response()->json($this->reportTable()->get());
    }

    public function getFullReport($id){
        return response()->json($this->reportTable()->find($id));
    }

    public function allReports(){
        return response()->json(Report::all());
    }

    public function getReport($id){
        return response()->json(Report::find($id));
    }
}
