<?php

namespace App\Http\Controllers;

use App\Share;
use Illuminate\Http\Request;

class ShareController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function shareTable(){
        return DB::table('shares')
            ->join('users', function ($join) {
                $join->on('shares.user_id', '=', 'users.id');
            })
            ->join('candidates', function ($join) {
                $join->on('shares.candidate_id', '=', 'candidates.id');
            });
    }

    public function allFullShares(){
        return response()->json($this->shareTable()->get());
    }

    public function getFullShare($id){
        return response()->json($this->shareTable()->find($id));
    }

    public function allShares(){
        return response()->json(Share::all());
    }

    public function getShare($id){
        return response()->json(Share::find($id));
    }
}
