<?php

namespace App\Http\Controllers;

use App\Vote;
use Illuminate\Http\Request;

class VoteController extends Controller
{
    public function voteTable(){
        return DB::table('votes')
            ->join('candidates', function ($join) {
                $join->on('votes.candidate_id', '=', 'candidates.id');
            })
            ->join('polling_units', function ($join) {
                $join->on('votes.polling_unit_id', '=', 'polling_units.id');
            });
    }

    public function allFullVotes(){
        return response()->json($this->voteTable()->get());
    }

    public function getFullVote($id){
        return response()->json($this->voteTable()->find($id));
    }

    public function allVotes(){
        return response()->json(Vote::all());
    }

    public function getVote($id){
        return response()->json(Vote::find($id));
    }

    public function getPositionResult($id){
        $vote = new Vote();
        $data = $vote->getVoteResultforPos($id);
        $sum = Vote::where('position_id',$id)->sum('num_votes');
        return response()->json(['data'=>$data,'total'=>$sum]);
    }
    public function getStateResult($id){
        $vote = new Vote();
        $data = $vote->getResultforState($id);
        return response()->json($data);
    }
}
