<?php

namespace App\Http\Controllers;

use App\Zone;
use Illuminate\Http\Request;

class ZoneController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function zoneTable(){
        return DB::table('zones')
            ->join('positions', function ($join) {
                $join->on('zones.position_id', '=', 'positions.id');
            })
            ->join('states', function ($join) {
                $join->on('zones.state_id', '=', 'states.id');
            });
    }

    public function allFullZones(){
        return response()->json($this->zoneTable()->get());
    }

    public function getFullZone($id){
        return response()->json($this->zoneTable()->find($id));
    }

    public function allZones(){
        return response()->json(Zone::all());
    }

    public function getZone($id){
        return response()->json(Zone::find($id));
    }
}
