<?php
/**
 * Created by PhpStorm.
 * User: JGJ
 * Date: 11/9/2018
 * Time: 2:54 AM
 */

namespace App\Http\Utils;


use Carbon\Carbon;
use Illuminate\Support\Facades\Log;

class utils
{
    public static function generateToken($userid)
    {
        $key = config('app.auth_key');
        $str = $key . '_' . $userid . '_' . date('Y-m-d h:i:s');
        $_token = base64_encode($str);
        return $_token;
    }

    public static function checkToken($token)
    {
        $secure = base64_decode($token);
        $data = explode('_', $secure);
        if (count($data) == 0 || $data[0] != config('app.auth_key'))
            return false;
        else {
            $date = $data[2];
            $cal = Carbon::parse($date)->addDay();
            if (Carbon::now()->gt($cal))
                return false;
            if (is_numeric($data[1]))
                return $data[1];
            else
                return false;
        }
    }
    public static function makeResponse($data = [], $message = '', $status = true)
    {
        return response()->json([
            'status' => $status,
            'message' => $message,
            'data' => $data
        ]);
    }

}
