<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;
    public $timestamps = true;
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'first_name','last_name', 'email', 'password','phone','gender','dob','state_id','reg_type','lga_id','vin','pu_id','reg_time'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
    public function Polling(){
        return $this->belongsTo(Pus::class,'pu_id')->selectRaw('id,poll,lat,`long`');
    }
    public function LgaName(){
        return $this->belongsTo(LGA::class,'lga_id','id')->selectRaw('id,state_name,lga_name');
    }


}
