<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\DB;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::middleware(['jwtUser'])->group(function(){
    Route::get('/jobs', 'JobController@allJobs');
    Route::get('/job/{id}', 'JobController@getJob');

    Route::post('/states', 'StateController@allStates');
    Route::post('/parties', 'PartyController@allParties');
    Route::post('/candidate', 'CandidateController@get');
    Route::get('/positions', 'PositionController@allPositions');
    Route::post('/election', 'ElectionController@get');
    Route::post('/badges', 'BadgeController@allBadgeTypes');
    Route::post('/regbadges', 'BadgeController@getBadges');

    //-------------- profile page -----------------
    Route::get('setInterestState/{id}','StateController@setInterest');
    Route::get('setInterestParty/{id}','PartyController@setInterest');

    //---------Report to INEC----------
    Route::get('groups',function (){
       return response()->json(\App\Group::with('category')->get());
    });
    Route::get('getCategory/{id}',function ($id){
        return response()->json(\App\Category::where('group_id',$id)->get());
    });
    Route::get('getSubCat/{id}',function ($id){
        return response()->json(DB::table('sub_categories')->where('category_id',$id)->get());
    });
    //---------- Feeds ---------------------
    Route::get('/feeds', 'FeedController@allFeeds');
    Route::get('getFeed/{id}', 'FeedController@getFullFeed');

    //------------ Get Badge -------------------------
    Route::get('/myBadge', 'BadgeController@getMyBadges');
    Route::get('getBadge2Type/{id}', 'BadgeController@getBadge2Type');

    //---------------- pvc  Page point-----------------------------------
    Route::get('locatePvc','PVCMoveController@locationPvc');
    Route::get('getLgaFromState/{id}',function ($id){
       return response()->json(\App\LGA::where('state_id',$id)->get());
    });
    Route::post('getNearPollingUnit','PollingUnitController@getNearPoll');
    Route::post('movePvc','PVCMoveController@movePVC');

    //------------------- Vote Result  --------------------
    Route::get('vote/getResultForPosition/{id}','VoteController@getPositionResult');
    Route::get('vote/getResultForState/{id}','VoteController@getStateResult');
});

Route::post('login','Auth\LoginController@loginApi');

Route::post('registerVin','Auth\RegisterController@createVin');
Route::post('register','Auth\RegisterController@createNormal');


